export declare class HttpError extends Error {
    /**
     * The HTTP status code for this error.
     */
    statusCode: number;
    /**
     * Create a new HTTP error instance.
     *
     * @param {String} message
     */
    constructor(message: string);
    /**
     * Returns a new HTTP error instance wrapping the given `error`.
     *
     * @param {*} error
     *
     * @returns {HttpError}
     */
    static wrap(error: any): HttpError;
    /**
     * Retrieves an available status code from the error instance.
     * Falls back to HTTP status 500 if no status code is found.
     *
     * @param error
     *
     * @returns {Number}
     */
    private static retrieveStatusFrom;
    /**
     * Assign the given HTTP `status` code to this error.
     *
     * @param status
     *
     * @returns {HttpError}
     */
    withStatus(status: number): HttpError;
}
